import json, os.path, copy, sys
if 'glib' in sys.modules:
    import glib as GLib
else:
    from gi.repository import GLib

USER_CONFIG_DIR = GLib.get_user_config_dir()
CONFIG_DIR = "indicator-bug"
CONFIG_FILE = "indicator-bug.conf"
DEFAULT_SETTINGS = {"project_name":"ubuntu","tags":"", "checkbuttonUndecided":0,
 "checkbuttonMedium":0, "checkbuttonWishlist":0, "checkbuttonHigh":1,
 "checkbuttonLow":0, "checkbuttonCritical":0, "checkbuttonNew":1,
 "checkbuttonIncomplete":0, "checkbuttonConfirmed":1, "checkbuttonTriaged":1,
 "checkbuttonInProgress":0, "checkbuttonFixCommited":0}


def save_settings(settings):
    '''
        Saves python dictionary as json.
    '''
    _settings = copy.deepcopy(settings)
    settings_str = json.dumps(_settings)
    config_file = open(os.path.join(USER_CONFIG_DIR,CONFIG_DIR,CONFIG_FILE),'w')
    config_file.write(settings_str)
    config_file.close()


def load_settings():
    '''
    '''

    try:
        config_file = open(os.path.join(USER_CONFIG_DIR,CONFIG_DIR,CONFIG_FILE),'r')
    except IOError:
        return DEFAULT_SETTINGS

    settings_str = config_file.read()
    config_file.close()
    try:
        settings = json.loads(settings_str)
    except ValueError:
        return DEFAULT_SETTINGS
    return settings






